:host {
	grid-area: main-content;

	display: grid;
	grid-template-rows: 1fr 0;
	overflow: auto;

	mat-sidenav-container {
		width: 100%;

		mat-sidenav {
			::ng-deep .mat-drawer-inner-container {
				display: grid;
				grid-template-columns: 290px;
				grid-template-rows: min-content 1fr min-content;

				mat-nav-list {
					padding-top: 0;
					overflow: auto;

					mat-list-item {
						height: 56px;
					}

					.mat-list-item-content {
						text-overflow: ellipsis;
						overflow: hidden;
						display: grid;
						grid-auto-flow: column;
						grid-template-columns: min-content 1fr min-content min-content;

						.bubble {
							background-color: #283593;
							color: white;
							display: grid;
							align-items: center;
							justify-content: center;
							width: 24px !important;
							height: 24px !important;
							border-radius: 50%;
							font-size: 10px;
							margin-left: 8px;
						}

						.info {
							display: grid;
							align-items: center;
							margin-right: 11px;

							mat-icon {
								height: 18px;
								width: 18px;
								font-size: 18px;
							}
						}
					}
				}

				app-sidenav-header {
					border-bottom: 1px solid var(--border-color);
				}

				app-sidenav-footer {
					border-top: 1px solid var(--border-color);
				}
			}
		}

		::ng-deep .mat-drawer-container {
			@media (max-width: 600px) {
				z-index: unset;
			}
		}

		::ng-deep .mat-drawer-backdrop {
			position: fixed;
		}
	}
}
